
import 'package:flutter/material.dart';
import 'package:persistent_bottom_nav_bar/persistent_tab_view.dart';

import '../../../widget/ListItem.dart';
import '../../settings/settings.dart';
import 'gradeAverages/gradeAverage.dart';
import 'holidays/holidays.dart';
import 'message/message.dart';
import 'roomplan/roomplan.dart';

class Overhang extends StatelessWidget {
  const Overhang({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text("Mehr"),
        actions: [
          IconButton(onPressed: () => PersistentNavBarNavigator.pushNewScreen(context, screen: const Settings(), withNavBar: false), icon: const Icon(Icons.settings))
        ],
      ),
      body: ListView(
        children: const [
          ListItemNavigator(icon: Icons.newspaper, text: "Marianum Message", target: Message()),
          ListItemNavigator(icon: Icons.room, text: "Raumplan", target: Roomplan()),
          ListItemNavigator(icon: Icons.calculate, text: "Notendurschnittsrechner", target: GradeAverage()),
          ListItemNavigator(icon: Icons.calendar_month, text: "Schulferien", target: Holidays()),
        ],
      ),
    );
  }
}
